<!-- last update 22/03/2018 -->

<form name="editForm" role="form" class="mpm-form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>Edit</p-header>
        <p-accordion>
            <p-accordionTab header="{{'mpmApp.salesUnitRequirement.dealDetail.detail' | translate}}">
                <div class="ui-g">
                    <div class="ui-g-12">
                        <label for="field_requirementNumber">VSO Number</label>
                    </div>
                    <div class="ui-g-12">
                        <input type="text" class="form-control" name="requirementNumber" id="field_requirementNumber" [(ngModel)]="salesUnitRequirement.requirementNumber" readonly/>
                    </div>
                </div>
                <p-fieldset legend="Motor" [toggleable]="true">
                    <div class="ui-g">
                        <div class="ui-g-12">
                            <label jhiTranslate="mpmApp.salesUnitRequirement.product" for="field_product">Product</label>
                        </div>
                        <div class="ui-g-12">
                            <select class="form-control" (change)="selectMotor(true)" id="field_product" name="product" [(ngModel)]="salesUnitRequirement.productId" [disabled]="isDisableSelectMotor(salesUnitRequirement)">
                            <option [ngValue]="null">-Please Select-</option>
                            <option [ngValue]="motorOption.idProduct" *ngFor="let motorOption of motors; trackBy: trackMotorById">{{motorOption.name}}</option>
                        </select>
                        </div>
                    </div>
                    <div class="ui-g">
                        <div class="ui-g-12">
                            <label>Harga Off The Road</label>
                            <div class="ui-g-12">
                                <input type="text" currencyMask class="form-control" pInputText name="het_price" id="het_price" readonly="true" [(ngModel)]="salesUnitRequirement.hetprice" [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }">
                            </div>
                        </div>
                    </div>
                    <div class="ui-g">
                        <div class="ui-g-12">
                            <label>Harga BBN</label>
                            <div class="ui-g-12">
                                <input type="text" currencyMask class="form-control" pInputText name="bbn_price" id="bbn_price" readonly="true" [(ngModel)]="salesUnitRequirement.bbnprice" [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }">
                            </div>
                        </div>
                    </div>
                    <div class="ui-g">
                        <div class="ui-g-12">
                            <label jhiTranslate="mpmApp.salesUnitRequirement.common.unitPrice" for="unit_price">Harga Unit On The Road</label>
                            <div class="ui-g-12">
                                <input type="text" currencyMask class="form-control" pInputText name="unit_price" id="unit_price" readonly [(ngModel)]="salesUnitRequirement.unitPrice" [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }">
                            </div>
                        </div>
                    </div>
                    <div class="ui-g">
                        <div class="ui-g-12">{{'mpmApp.salesUnitRequirement.common.color' | translate}}</div>
                        <div class="ui-g-12">
                            <select class="form-control" id="field_color" name="color" [(ngModel)]="salesUnitRequirement.colorId">
                            <option [ngValue]="null">-Please Select-</option>
                            <option [ngValue]="featureOption.idFeature" *ngFor="let featureOption of features; trackBy: trackFeatureById">{{featureOption.refKey}} -  {{featureOption.description}}</option>
                        </select>
                        </div>
                    </div>
                    <div class="ui-g">
                        <div class="ui-g-12 mandatory">Tahun Produksi</div>
                        <div class="ui-g-12">
                            <select class="form-control" id="field_year" name="year" [(ngModel)]="salesUnitRequirement.productYear" required>
                            <option [ngValue]="null">-Please Select-</option>
                            <option [ngValue]="year" *ngFor="let year of years">{{year}}</option>
                        </select>
                        </div>
                    </div>
                </p-fieldset>
                <!-- <div class="ui-g">
                    <div class="ui-g-12">{{'mpmApp.salesUnitRequirement.common.requestmachineNumber' | translate}}</div>
                    <div class="ui-g-12">
                        <input id="request_nomor_mesin" name="request_nomor_mesin" [(ngModel)]="salesUnitRequirement.requestIdMachine" class="form-control">
                    </div>
                </div>
                <div class="ui-g">
                    <div class="ui-g-12">{{'mpmApp.salesUnitRequirement.common.requestframeNumber' | translate}}</div>
                    <div class="ui-g-12">
                        <input id="request_nomor_rangka" name="request_nomor_rangka" [(ngModel)]="salesUnitRequirement.requestIdFrame" class="form-control">
                    </div>
                </div>
                <div class="ui-g" *ngIf="salesUnitRequirement.idmachine">
                    <div class="ui-g-12">{{'mpmApp.salesUnitRequirement.common.machineNumber' | translate}}</div>
                    <div class="ui-g-12">
                        <input id="nomor_mesin" name="nomor_mesin" [(ngModel)]="salesUnitRequirement.idmachine" class="form-control">
                    </div>
                </div>
                <div class="ui-g" *ngIf="salesUnitRequirement.idframe">
                    <div class="ui-g-12">Request {{'mpmApp.salesUnitRequirement.common.frameNumber' | translate}}</div>
                    <div class="ui-g-12">
                        <input id="nomor_rangka" name="nomor_rangka" [(ngModel)]="salesUnitRequirement.idframe" class="form-control">
                    </div>
                </div> -->
                <div class="ui-g">
                    <div class="ui-g-12">{{'mpmApp.salesUnitRequirement.common.noteRequestNokaNosin' | translate}}</div>
                    <div class="ui-g-12">
                        <textarea id="requestIdMachineAndFrame" name="requestIdMachineAndFrame" [(ngModel)]="salesUnitRequirement.requestIdMachineAndFrame" class="form-control" rows="3"></textarea>
                    </div>
                </div>
                <div class="ui-g">
                    <div class="ui-g-12">{{'mpmApp.salesUnitRequirement.common.policeNumber' | translate}}</div>
                    <div class="ui-g-12">
                        <input id="nomor_nopol" name="nomor_nopol" [(ngModel)]="salesUnitRequirement.requestpoliceid" class="form-control">
                    </div>
                </div>
                <div class="ui-g">
                    <div class="ui-g-12">{{'mpmApp.salesUnitRequirement.common.notePartner' | translate}}</div>
                    <div class="ui-g-12">
                        <textarea id="note_partner" name="note_partner" [(ngModel)]="salesUnitRequirement.notePartner" class="form-control" rows="3"></textarea>
                    </div>
                </div>
                <div class="ui-g">
                    <div class="ui-g-12">{{'mpmApp.salesUnitRequirement.common.note' | translate}}</div>
                    <div class="ui-g-12">
                        <textarea id="note" name="note" [(ngModel)]="salesUnitRequirement.note" class="form-control" rows="3"></textarea>
                    </div>
                </div>
            </p-accordionTab>
            <p-accordionTab header="{{'mpmApp.salesUnitRequirement.dealDetail.dataCustomer' | translate}}">
                <div *ngIf="salesUnitRequirement.idReqTyp != 12">
                    <jhi-customer-view [idCustomer]="salesUnitRequirement.customerId"></jhi-customer-view>
                </div>
                <div *ngIf="salesUnitRequirement.idReqTyp == 12">
                    <jhi-organization-view [organization]="organizationCustomer.organization">
                    </jhi-organization-view>
                </div>
            </p-accordionTab>
            <p-accordionTab header="{{'mpmApp.salesUnitRequirement.dealDetail.paymentDetail' | translate}}">
                <jhi-receipt-as-list 
                    [idParty] = "salesUnitRequirement.partyId"
                    [isCountReceipt]="isCountReceipt" 
                    (fnCallback)="countReceipt($event)"
                    [idRequirement]="salesUnitRequirementId"
                ></jhi-receipt-as-list>
                <div class="ui-g">
                    <div class="ui-g-3 ui-sm-12">
                        <label jhiTranslate="mpmApp.salesUnitRequirement.common.totalPayment" for="field_totalpayment">Total Payment</label>
                    </div>
                    <div class="ui-g-9 ui-sm-12" align="right">
                        {{ totalReceipt | currency : 'IDR' : true }}
                    </div>
                </div>
                <hr>
                <div class="ui-g">
                    <div class="ui-g-12">Broker Fee</div>
                    <div class="ui-g-12">
                        <input type="text" currencyMask id="brokerfee" name="brokerfee" [disabled]="disableMakelarFee()" pInputText [(ngModel)]="salesUnitRequirement.brokerFee" (blur)="countRemainingPayment()" class="form-control" [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                        />
                    </div>
                </div>
                <div class="ui-g">
                    <div class="ui-g-12">
                        <label jhiTranslate="mpmApp.salesUnitRequirement.saleType" for="field_paymenttype">Payment Type</label>
                    </div>
                    <div class="ui-g-12">
                        <select class="form-control" id="field_paymenttype" name="field_paymenttype" (change)="selectSaleType()" [(ngModel)]="salesUnitRequirement.saleTypeId">
                        <option [ngValue]="null">-Please Select-</option>
                        <option [ngValue]="opt.idSaleType" *ngFor="let opt of saletypes; trackBy: trackSaleTypeById">{{opt.description}}</option>
                    </select>
                    </div>
                </div>
                <div class="ui-g" [hidden]="!isCredit">
                    <div class="ui-g-12">
                        <label for="field_leasing">Leasing</label>
                    </div>
                    <div class="ui-g-12">
                        <select class="form-control" id="field_leasing" name="field_leasing" [(ngModel)]="salesUnitRequirement.leasingCompanyId">
                            <option [ngValue]="null">-Please Select-</option>
                            <option [ngValue]="option.idPartyRole" *ngFor="let option of leasingCompanies; trackBy: trackLeasingCompanyById">
                                {{option.partyName}}
                            </option>
                        </select>
                    </div>
                </div>
                <div class="ui-g" [hidden]="!isCredit">
                    <div class="ui-g-12">
                        <label for="field_tenor">Tenor</label>
                    </div>
                    <div class="ui-g-12">
                        <input type="text" id="creditTenor" name="creditTenor" pInputText [(ngModel)]="salesUnitRequirement.creditTenor" class="form-control"/>

                        <!-- <select class="form-control" (ngModelChange)="selectTenor($event)" id="field_tenor" name="field_tenor" [(ngModel)]="selectedTenor">
                        <option [ngValue]="null">Select tenor</option>
                        <option [ngValue]="optTenor" *ngFor="let optTenor of tenors;">
                            {{optTenor}}
                        </option> -->
                    </select>
                    </div>
                </div>
                <div class="ui-g" [hidden]="!isCredit">
                    <div class="ui-g-12">{{'mpmApp.salesUnitRequirement.downPayment' | translate}}</div>
                    <div class="ui-g-12">
                        <input 
                            type="text" 
                            currencyMask id="field_creditDP"
                            (blur)="countRemainingDownPayment()" 
                            name="field_creditDP"  [(ngModel)]="salesUnitRequirement.creditDownPayment" pInputText  class="form-control" [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" />
                        <!-- <select class="form-control" [(ngModel)]="salesUnitRequirement.leasingTenorProvideId" id="field_credit_down_payment" (ngModelChange)="selectDownPayment($event)" name="field_credit_down_payment">
                            <option [ngValue]="null">-Please Select-</option>
                            <option [ngValue]="opt.idLeasingProvide" *ngFor="let opt of leasingTenorProvides; trackBy: trackLeasingTenorProvideById">
                                {{opt.downPayment | currency : 'IDR' : true}}
                            </option>
                        </select> -->
                    </div>
                </div>
                <div class="ui-g" [hidden]="!isCredit">
                    <div class="ui-g-12">{{'mpmApp.salesUnitRequirement.installment' | translate}}</div>
                    <div class="ui-g-12">
                        <input type="text" currencyMask id="field_installment" name="field_installment"  [(ngModel)]="salesUnitRequirement.creditInstallment" pInputText class="form-control" [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" />
                    </div>
                </div>
                <hr>
                <div class="ui-g">
                    <div class="ui-g-12">Subsidi AHM</div>
                    <div class="ui-g-12">
                        <input type="text" currencyMask id="subsahm" name="subsahm" pInputText  [(ngModel)]="salesUnitRequirement.subsahm" class="form-control" [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" />
                    </div>
                </div>
                <div class="ui-g">
                    <div class="ui-g-12">Subsidi Main Dealer</div>
                    <div class="ui-g-12">
                        <input type="text" currencyMask id="subsmd" name="subsmd" pInputText [(ngModel)]="salesUnitRequirement.subsmd" class="form-control" [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" />
                    </div>
                </div>
                <div class="ui-g">
                    <div class="ui-g-12">Subsidi Dealer</div>
                    <div class="ui-g-12">
                        <input type="text" currencyMask id="subsd" name="subsd" pInputText [disabled]="isDisabledSubsidiDealer(salesUnitRequirement)" [(ngModel)]="salesUnitRequirement.subsown" class="form-control" (blur)="countSubsidiDealer()" [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                        />
                    </div>
                </div>
                <div class="ui-g" [hidden]="!isCredit">
                    <div class="ui-g-12">Subsidi Fin Comp</div>
                    <div class="ui-g-12">
                        <input type="text" 
                        currencyMask 
                        id="subsfincomp" 
                        name="subsfincomp" 
                        pInputText 
                        [disabled]="isDisabledSubsidiFinCo" 
                        [(ngModel)]="salesUnitRequirement.subsfincomp" 
                        (blur)="countRemainingDownPayment()" 
                        class="form-control" 
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"/>
                    </div>
                </div>
                <div class="ui-g" [hidden]="isCredit">
                    <div class="ui-g-3 ui-sm-12">
                        <label jhiTranslate="mpmApp.salesUnitRequirement.common.remainingPayment" for="field_remainingPayment">Remaining Payment</label>
                    </div>
                    <div class="ui-g-9 ui-sm-12" align="right">
                        {{remainingPayment}}
                    </div>
                </div>
                <div class="ui-g" [hidden]="!isCredit">
                    <div class="ui-g-3 ui-sm-12">
                        <label jhiTranslate="mpmApp.salesUnitRequirement.common.remainingDownPayment">RemainingDown Payment</label>
                    </div>
                    <div class="ui-g-9 ui-sm-12" align="right">
                        {{remainingDownPayment}}
                    </div>
                </div>
            </p-accordionTab>
            <p-accordionTab header="Data STNK">
                <div class="ui-g">
                    <div class="ui-g-4 ui-sm-12">
                        {{'mpmApp.salesUnitRequirement.stnk.sameWithCustomer' | translate}}
                    </div>
                    <div class="ui-g-8 ui-sm-12">
                        <p-inputSwitch onLabel="Yes" offLabel="No" [(ngModel)]="isSameWithCustomer" (onChange)="onChangeSameWithCustomer($event)" name="isSameWithCustomer" id="isSameWithCustomer">
                        </p-inputSwitch>
                    </div>
                </div>
                <jhi-person-view
                    [readonly]="disable" 
                    [person]="salesUnitRequirement.personOwner"
                    ></jhi-person-view>
                <div class="ui-g">
                    <div class="ui-g-12 ui-sm-12"> 
                        <p-checkbox name="groupname" binary="false" [(ngModel)]="salesUnitRequirement.waitStnk"></p-checkbox> Menunggu Konfirmasi
                    </div>
                </div>
            </p-accordionTab>
            <p-accordionTab header="{{'mpmApp.salesUnitRequirement.dealDetail.info' | translate}}">
                <jhi-prospect-info [idProspectSource]="salesUnitRequirement.prospectSourceId"></jhi-prospect-info>
            </p-accordionTab>
            <p-accordionTab header="{{'mpmApp.salesUnitRequirement.dealDetail.historyMessage' | translate}}">
                <jhi-sales-unit-requirement-message-view></jhi-sales-unit-requirement-message-view>
            </p-accordionTab>
            <p-accordionTab header="{{'mpmApp.salesUnitRequirement.dealDetail.historyFollowUp' | translate}}">
                <jhi-sales-unit-requirement-follow-up-view [salesUnitRequirement]="salesUnitRequirement"></jhi-sales-unit-requirement-follow-up-view>
            </p-accordionTab>
            <p-accordionTab header="{{'mpmApp.salesUnitRequirement.dealDetail.document' | translate}}">
                <jhi-party-document-as-list [idparty]="salesUnitRequirement.partyId" [readonly]="isReadOnlyDocument"></jhi-party-document-as-list>
            </p-accordionTab>
        </p-accordion>
        <p-footer>
            <button pButton type="button" (click)="previousState()" label="{{'entity.action.back' | translate}}" class="ui-button-danger flat-label-button">
        </button>
            <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving" label="{{'entity.action.save' | translate}}" icon="fa-save" class="ui-button-primary flat-label-button">
        </button>
        </p-footer>
    </p-panel>
</form>
<!-- <form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            {{'mpmApp.salesUnitRequirement.home.createOrEditLabel' | translate}}
        </p-header>

        <div class="modal-body">

            <div class="form-group" [hidden]="!salesUnitRequirement.idRequirement">
                <label for="id" jhiTranslate="global.field.id">ID</label>
                <input type="text" class="form-control" id="id" name="id" [(ngModel)]="salesUnitRequirement.idRequirement" readonly />
            </div>
            <div class="form-group">
                <label class="form-control-label" jhiTranslate="mpmApp.salesUnitRequirement.tenor" for="field_tenor">Tenor</label>
                <input currencyMask class="form-control" name="tenor" id="field_tenor"
                    [(ngModel)]="salesUnitRequirement.tenor"
                    [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                     />
            </div>
            <div class="form-group">
                <label class="form-control-label" jhiTranslate="mpmApp.salesUnitRequirement.downPayment" for="field_downPayment">Down Payment</label>
                <input currencyMask class="form-control" name="downPayment" id="field_downPayment"
                    [(ngModel)]="salesUnitRequirement.downPayment"
                    [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                     />
            </div>

            <div class="form-group">
                <label jhiTranslate="mpmApp.salesUnitRequirement.customer" for="field_customer">Customer</label>
                <select class="form-control" id="field_customer" name="customer" [(ngModel)]="salesUnitRequirement.customerId" >
                    <option [ngValue]="null"></option>
                    <option [ngValue]="customerOption.idPartyRole" *ngFor="let customerOption of customers; trackBy: trackCustomerById">{{customerOption.name}}</option>
                </select>
            </div>
            <div class="form-group">
                <label jhiTranslate="mpmApp.salesUnitRequirement.salesman" for="field_salesman">Salesman</label>
                <select class="form-control" id="field_salesman" name="salesman" [(ngModel)]="salesUnitRequirement.salesmanId" >
                    <option [ngValue]="null"></option>
                    <option [ngValue]="salesmanOption.idPartyRole" *ngFor="let salesmanOption of salesmen; trackBy: trackSalesmanById">{{salesmanOption.name}}</option>
                </select>
            </div>
            <div class="form-group">
                <label jhiTranslate="mpmApp.salesUnitRequirement.internal" for="field_internal">Internal</label>
                <select class="form-control" id="field_internal" name="internal" [(ngModel)]="salesUnitRequirement.internalId" >
                    <option [ngValue]="null"></option>
                    <option [ngValue]="internalOption.IdInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.name}}</option>
                </select>
            </div>
            <div class="form-group">
                <label jhiTranslate="mpmApp.salesUnitRequirement.saleType" for="field_saleType">Sale Type</label>
                <select class="form-control" id="field_saleType" name="saleType" [(ngModel)]="salesUnitRequirement.saleTypeId" >
                    <option [ngValue]="null"></option>
                    <option [ngValue]="saleTypeOption.idSaleType" *ngFor="let saleTypeOption of saletypes; trackBy: trackSaleTypeById">{{saleTypeOption.description}}</option>
                </select>
            </div>
            <div class="form-group">
                <label jhiTranslate="mpmApp.salesUnitRequirement.billTo" for="field_billTo">Bill To</label>
                <select class="form-control" id="field_billTo" name="billTo" [(ngModel)]="salesUnitRequirement.billToId" >
                    <option [ngValue]="null"></option>
                    <option [ngValue]="billToOption.idBillTo" *ngFor="let billToOption of billtos; trackBy: trackBillToById">{{billToOption.name}}</option>
                </select>
            </div>
            <div class="form-group">
                <label jhiTranslate="mpmApp.salesUnitRequirement.shipTo" for="field_shipTo">Ship To</label>
                <select class="form-control" id="field_shipTo" name="shipTo" [(ngModel)]="salesUnitRequirement.shipToId" >
                    <option [ngValue]="null"></option>
                    <option [ngValue]="shipToOption.idPartyRole" *ngFor="let shipToOption of shiptos; trackBy: trackShipToById">{{shipToOption.name}}</option>
                </select>
            </div>
            <div class="form-group">
                <label jhiTranslate="mpmApp.salesUnitRequirement.broker" for="field_broker">Broker</label>
                <select class="form-control" id="field_broker" name="broker" [(ngModel)]="salesUnitRequirement.brokerId" >
                    <option [ngValue]="null"></option>
                    <option [ngValue]="salesBrokerOption.idPartyRole" *ngFor="let salesBrokerOption of salesbrokers; trackBy: trackSalesBrokerById">{{salesBrokerOption.name}}</option>
                </select>
            </div>
            <div class="form-group">
                <label jhiTranslate="mpmApp.salesUnitRequirement.color" for="field_color">Color</label>
                <select class="form-control" id="field_color" name="color" [(ngModel)]="salesUnitRequirement.colorId" >
                    <option [ngValue]="null"></option>
                    <option [ngValue]="featureOption.idFeature" *ngFor="let featureOption of features; trackBy: trackFeatureById">{{featureOption.description}}</option>
                </select>
            </div>
            <div class="form-group">
                <label jhiTranslate="mpmApp.salesUnitRequirement.product" for="field_product">Product</label>
                <select class="form-control" id="field_product" name="product" [(ngModel)]="salesUnitRequirement.productId" >
                    <option [ngValue]="null"></option>
                    <option [ngValue]="motorOption.idProduct" *ngFor="let motorOption of motors; trackBy: trackMotorById">{{motorOption.name}}</option>
                </select>
            </div>
        </div>
    
        <p-footer>
            <button pButton type="button" (click)="previousState()"
                label="{{'entity.action.cancel' | translate}}" 
                icon="fa-ban"
                class="ui-button-danger flat-label-button">
            </button>
            <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
                label="{{'entity.action.save' | translate}}" 
                icon="fa-save"
                class="ui-button-primary flat-label-button">
            </button>
        </p-footer>
    </p-panel>
</form>     -->